/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// ConfirmArgs struct for ConfirmArgs
type ConfirmArgs struct {
	Session string `json:"session"`
	Code int32 `json:"code"`
}

// NewConfirmArgs instantiates a new ConfirmArgs object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewConfirmArgs(session string, code int32) *ConfirmArgs {
	this := ConfirmArgs{}
	this.Session = session
	this.Code = code
	return &this
}

// NewConfirmArgsWithDefaults instantiates a new ConfirmArgs object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewConfirmArgsWithDefaults() *ConfirmArgs {
	this := ConfirmArgs{}
	return &this
}

// GetSession returns the Session field value
func (o *ConfirmArgs) GetSession() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Session
}

// GetSessionOk returns a tuple with the Session field value
// and a boolean to check if the value has been set.
func (o *ConfirmArgs) GetSessionOk() (*string, bool) {
	if o == nil  {
		return nil, false
	}
	return &o.Session, true
}

// SetSession sets field value
func (o *ConfirmArgs) SetSession(v string) {
	o.Session = v
}

// GetCode returns the Code field value
func (o *ConfirmArgs) GetCode() int32 {
	if o == nil {
		var ret int32
		return ret
	}

	return o.Code
}

// GetCodeOk returns a tuple with the Code field value
// and a boolean to check if the value has been set.
func (o *ConfirmArgs) GetCodeOk() (*int32, bool) {
	if o == nil  {
		return nil, false
	}
	return &o.Code, true
}

// SetCode sets field value
func (o *ConfirmArgs) SetCode(v int32) {
	o.Code = v
}

func (o ConfirmArgs) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if true {
		toSerialize["session"] = o.Session
	}
	if true {
		toSerialize["code"] = o.Code
	}
	return json.Marshal(toSerialize)
}

type NullableConfirmArgs struct {
	value *ConfirmArgs
	isSet bool
}

func (v NullableConfirmArgs) Get() *ConfirmArgs {
	return v.value
}

func (v *NullableConfirmArgs) Set(val *ConfirmArgs) {
	v.value = val
	v.isSet = true
}

func (v NullableConfirmArgs) IsSet() bool {
	return v.isSet
}

func (v *NullableConfirmArgs) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableConfirmArgs(val *ConfirmArgs) *NullableConfirmArgs {
	return &NullableConfirmArgs{value: val, isSet: true}
}

func (v NullableConfirmArgs) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableConfirmArgs) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


